Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.addressbook.core.v1
Class EHealthBoxType

    java.lang.Object
      be.fgov.ehealth.addressbook.core.v1.EHealthBoxType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:11:51+02:00",
               comments="JAXB RI v2.2.11")
    public class EHealthBoxType

extends Object
implements Serializable

eHealthBox representation. This information can be used in eHealthBox services.

Java class for EHealthBoxType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EHealthBoxType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SubType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EHealthBoxType()`

Method Summary
`String` | `getId()` Gets the value of the id property.
`String` | `getQuality()` Gets the value of the quality property.
`String` | `getSubType()` Gets the value of the subType property.
`String` | `getType()` Gets the value of the type property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setQuality(String value)` Sets the value of the quality property.
`void` | `setSubType(String value)` Sets the value of the subType property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EHealthBoxType

    public EHealthBoxType()

Method Detail

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getSubType

    public String getSubType()

  Gets the value of the subType property.

  Returns:
    possible object is `String`

### setSubType

    public void setSubType(String value)

  Sets the value of the subType property.

  Parameters:
    `value` - allowed object is `String`

### getQuality

    public String getQuality()

  Gets the value of the quality property.

  Returns:
    possible object is `String`

### setQuality

    public void setQuality(String value)

  Sets the value of the quality property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.